{% extends 'blog/base.html' %}
{% load humanize %}

{% block title %}
{{post.title}}

{% endblock %}

{% block content %}
    <div class="container">
        <div class="row">
            <div class="col-md-9" style="padding: 20px;">
                {% if post.image.url != null %}
                <img src="{{post.image.url}}" style="width: 100%;" alt="">
                {% endif %}
                <h3>{{ post.title }}</h3>
                <p>{{ post.content|safe}}</p>
                <p class="text-right">
                    <b>Просмотри: {{post.views}}</b> |
                    <i>{{ post.date|date:"d F, Y"}}</i>
                </p>
                <hr>
                <p>
                    <i>Комментарии: {{post.comment_set.count}}</i>

                </p>
                <h3>Оставьте ваш комментприи</h3>
                {% if user.is_authenticated %}
                <form action="{% url 'comment' post.slug %}" method="POST">
                    {% csrf_token %}
                    <p>
                        <textarea name="text" class="form-control"></textarea>
                    </p>
                    <p class="text-right">
                        <button class="btn btn-outline-primary">Отправить</button>

                    </p>
                </form>
                {% else %}
                <p>Чтобы оставить коментарии</p>, <a href="{% url 'register' %}">Зарегиструйтесь</a> или <a href="{% url 'login' %}">Войдите</a>
                {% endif %}
                <hr>
                {% for comment in post.comment_set.all %}
                <div class="col-md-12">
                    <h3>{{comment.user.username}}</h3>
                <p>
                    {{comment.text}}
                </p>
                <p class="text-right">
                    {{comment.date|timesince}} назад
                </p>
                </div>
                {% endfor %}
            </div>
            <div class="col-md-3"></div>
        </div>
    </div>
{% endblock %}